Присвоить категорию операции
Требует capability assign. Обязательные поля — сразу (D3). Если approvalScope категории = assign_and_edit → запись уходит в заявку (202).
curl -X POST "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/operations/transfer/example_string/categories" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"categoryId": "example_string",
"values": {},
"changeNote": "example_string"
}'
import requests
import json
url = "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/operations/transfer/example_string/categories"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"categoryId": "example_string",
"values": {},
"changeNote": "example_string"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/operations/transfer/example_string/categories", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"categoryId": "example_string",
"values": {},
"changeNote": "example_string"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"categoryId": "example_string",
"values": {},
"changeNote": "example_string"
}`)
req, err := http.NewRequest("POST", "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/operations/transfer/example_string/categories", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/operations/transfer/example_string/categories')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"categoryId": "example_string",
"values": {},
"changeNote": "example_string"
}'
response = http.request(request)
puts response.body
{
"id": "cmr3f41z20001psp7phmyapw3",
"vaultId": "example_string",
"operationType": "deposit",
"operationId": "example_string",
"categoryId": "example_string",
"category": {
"id": "example_string",
"key": "example_string",
"name": "John Doe"
},
"values": {},
"redactedFields": [
"example_string"
],
"version": 42,
"status": "active",
"createdById": "example_string",
"updatedById": "example_string",
"createdAt": "2026-07-02T11:25:15.134Z",
"updatedAt": "2026-07-02T11:25:15.134Z"
}
{
"request": "null"
}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Forbidden",
"message": "You don't have permission to access this resource",
"code": 403
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
{
"error": "Conflict",
"message": "The request conflicts with the current state of the resource",
"code": 409,
"details": "Resource already exists"
}
{
"error": "Internal Server Error",
"message": "An unexpected error occurred on the server",
"code": 500,
"requestId": "req_1234567890"
}
POST
/api/v1/vaults/{code}/operations/{type}/{id}/categoriesPOST
Base URLstring
Target server for requests. Edit to use your own host.
Bearer Token
Bearer Tokenstring
Requiredbetter-auth session token. Мобилка/сервисы. Веб использует cookie.
better-auth session token. Мобилка/сервисы. Веб использует cookie.
API Key (cookie: better-auth.session_token)
better-auth.session_tokenstring
RequiredAPI key (sent in cookie)
path
codestring
RequiredУникальный код Vault'а (slug)
path
typestring
RequiredOptions: transfer, deposit
Content-Typestring
RequiredThe media type of the request body
Options: application/json
categoryIdstring
RequiredMin length: 1
valuesobject
Значения полей; обязательные (required) должны быть заполнены
changeNotestring
Max length: 500
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. better-auth session token. Мобилка/сервисы. Веб использует cookie.
path
parameterstring
RequiredAPI Key for authentication. Provide your API key in the cookie.
Path Parameters
typestring
RequiredAllowed values:
transferdepositBody
application/json
valuesobject
Значения полей; обязательные (required) должны быть заполнены
Responses
Was this page helpful?